Download it now!
Bug 113892 - Add IBM Plex font to LO
Summary: Add IBM Plex font to LO
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2017-11-16 22:12 UTC by Bastián Díaz
Modified: 2017-11-23 22:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2017-11-16 22:12:03 UTC
Description:
Recently IBM has released a new typeface as open source (OFL license)

Benefits:
• Open Source
• Support 110 different languages
• The font has a serif, sans-serif and monospaced version
• Support different weights

More info: https://ibm.github.io/type/

Steps to Reproduce:
X

Actual Results:  
X

Expected Results:
X


Reproducible: Always


User Profile Reset: No



Additional Info:
See: https://www.fastcodesign.com/90150625/why-ibm-created-its-own-typeface-after-a-century-without-one


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Heiko Tietze 2017-11-17 18:33:56 UTC
Don't see the point of bundling more fonts.
Comment 2 V Stuart Foote 2017-11-17 19:38:47 UTC
There would be utility to this assuming IBM continues development of Plex under SIL OFL as it is "released" next year.

The posted sample in Latin (~580 glyphs) are well crafted. Wider coverage of Unicode scripts not well supported by a consistent set of font designs (Mono, Serif, San serif) with consistent metrics would benefit the LO community.

But, probably no need to bundle the font--though very fertile ground for a LO supported extension.

For now => WF
Comment 3 Bastián Díaz 2017-11-17 20:42:20 UTC
(In reply to Heiko Tietze from comment #1)
> Don't see the point of bundling more fonts.

The point is to consider better quality opensource typefaces to be included in LO and/or replace existing ones such as Open Sans or DejaVu. Although IBM Plex is in development it presents a good quality (even for printed documents)
Comment 4 Heiko Tietze 2017-11-17 22:21:40 UTC
(In reply to Bastián Díaz from comment #3)
> (In reply to Heiko Tietze from comment #1)
> > Don't see the point of bundling more fonts.
> 
> The point is to consider better quality opensource typefaces to be included
> in LO and/or replace existing ones such as Open Sans or DejaVu. Although IBM
> Plex is in development it presents a good quality (even for printed
> documents)

We do replace them with Noto. Should be in master.
Comment 5 Yousuf Philips (jay) (retired) 2017-11-18 10:58:34 UTC
It is definitely worth considering at a later date when it has a wider unicode coverage and if its size hasnt grown to large.
Comment 6 Adolfo Jayme 2017-11-23 22:03:13 UTC
But this is their brand font. It could mislead people into thinking that this project has received IBM support/sponsoring (it has never).